"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _promise = require("babel-runtime/core-js/promise");

var _promise2 = _interopRequireDefault(_promise);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var PromiseChain = function () {
  function PromiseChain() {
    (0, _classCallCheck3.default)(this, PromiseChain);

    this.chains = [];
  }

  (0, _createClass3.default)(PromiseChain, [{
    key: "add",
    value: function add(onFulfilled, onRejected) {
      this.chains.push({
        onFulfilled: onFulfilled,
        onRejected: onRejected
      });
    }
  }, {
    key: "execute",
    value: function execute(init) {
      var promise = _promise2.default.resolve(init);
      this.chains.forEach(function (_ref) {
        var onFulfilled = _ref.onFulfilled,
            onRejected = _ref.onRejected;

        promise = promise.then(onFulfilled, onRejected);
      });
      this.chains = [];
      return promise;
    }
  }]);
  return PromiseChain;
}();

exports.default = PromiseChain;