'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

exports.isDate = isDate;
exports.isArray = isArray;
exports.isObject = isObject;
exports.isFunction = isFunction;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var toString = Object.prototype.toString;

function isDate(val) {
  return toString.call(val) === '[object Date]';
}

function isArray(val) {
  return toString.call(val) === '[object Array]';
}

function isObject(val) {
  return val !== null && (typeof val === 'undefined' ? 'undefined' : (0, _typeof3.default)(val)) === 'object';
}

function isFunction(val) {
  return toString.call(val) === '[object Function]';
}